Skip to main content
POST
Verify Stylus Source Code
Arbitrum One Mainnet Arbitrum Sepolia Testnet

Authorizations

apikey
string
query
required

Enter your Etherscan API key, or set one up if you don't have one.

Query Parameters

chainid
string
required

Chain ID to query, eg 42161 for Arbitrum One from our supported chains.

module
string
default:contract
required

Set to contract for this endpoint.

action
string
default:verifysourcecode
required

Set to verifysourcecode for this endpoint.

Body

application/x-www-form-urlencoded
codeformat
string
required

Use stylus for Stylus projects.

Example:

"stylus"

sourceCode
string
required

Public Git repository that hosts the Stylus source code.

Example:

"https://github.com/OffchainLabs/stylus-hello-world"

contractaddress
string
required

The address where the contract is deployed.

Example:

"0xdAC17F958D2ee523a2206206994597C13D831ec7"

contractname
string
required

The contract name that matches your Stylus deployment.

Example:

"stylus_hello_world"

compilerversion
string
required

Stylus compiler version used for compilation.

Example:

"stylus:0.5.3"

licenseType
integer

License identifier from the open source license options.

Example:

3

Response

200 - application/json

Successful response

status
string

1 if the request returned data, 0 otherwise. A status of 0 can indicate an error or a valid request that returned no records.

message
string

OK on success, otherwise an error description such as NOTOK. See common error messages.

result
string

GUID for the verification submission. Use it with checkverifystatus to poll the result.